Package org.codehaus.plexus.util.cli

# Class CommandLineTimeOutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.codehaus.plexus.util.cli.CommandLineException
org.codehaus.plexus.util.cli.CommandLineTimeOutException

All Implemented Interfaces:
  `Serializable`

public class CommandLineTimeOutException extends CommandLineException

Since:
  1.5.9
Author:
  olamy
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CommandLineTimeOutException(String message)`
`CommandLineTimeOutException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CommandLineTimeOutException

public CommandLineTimeOutException(String message)

### CommandLineTimeOutException

public CommandLineTimeOutException(String message, Throwable cause)